net.sf.saxon.regex

## Class Operation

- java.lang.Object
- - net.sf.saxon.regex.Operation

- Direct Known Subclasses:
    Operation.OpAtom, Operation.OpBackReference, Operation.OpBOL, Operation.OpBranch, Operation.OpCharClass, Operation.OpClose, Operation.OpCloseCluster, Operation.OpConfidentPlus, Operation.OpConfidentStar, Operation.OpContinue, Operation.OpEndProgram, Operation.OpEOL, Operation.OpGoTo, Operation.OpMaybe, Operation.OpNothing, Operation.OpOpen, Operation.OpOpenCluster, Operation.OpPlus, Operation.OpReluctantMaybe, Operation.OpReluctantPlus, Operation.OpReluctantStar, Operation.OpStar

      public abstract class Operation
      extends Object

  Represents an operation or instruction in the regular expression program. The class Operation is abstract, and has concrete subclasses for each kind of operation/instruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Operation.OpAtom` Atom
    `static class` | `Operation.OpBackReference` Back-reference
    `static class` | `Operation.OpBOL` Beginning of Line (^)
    `static class` | `Operation.OpBranch` Choice (|)
    `static class` | `Operation.OpCharClass` Character class: match any one of a set of characters
    `static class` | `Operation.OpClose` Close paren (captured group)
    `static class` | `Operation.OpCloseCluster` Close non-capturing group
    `static class` | `Operation.OpConfidentPlus` "Confident Plus" quantifier: used when there is no ambiguity about the ending condition, and therefore no need to backtrack.
    `static class` | `Operation.OpConfidentStar` "Confident Star" quantifier: used when there is no ambiguity about the ending condition, and therefore no need to backtrack.
    `static class` | `Operation.OpContinue` Continue to the following instruction (ignore 'next')
    `static class` | `Operation.OpEndProgram` End of program
    `static class` | `Operation.OpEOL` End of Line ($)
    `static class` | `Operation.OpGoTo` Goto specified instruction
    `static class` | `Operation.OpMaybe` Maybe (question-mark) quantifier
    `static class` | `Operation.OpNothing` Match empty string
    `static class` | `Operation.OpOpen` Open paren (captured group)
    `static class` | `Operation.OpOpenCluster` Open non-capturing paren
    `static class` | `Operation.OpPlus` Plus quantifier
    `static class` | `Operation.OpReluctantMaybe` Reluctant maybe operator
    `static class` | `Operation.OpReluctantPlus` Reluctant plus operator
    `static class` | `Operation.OpReluctantStar` Reluctant star operator
    `static class` | `Operation.OpStar` Star quantifier

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION_ADVANCE_TO_FOLLOWING`
    `static int` | `ACTION_ADVANCE_TO_NEXT`
    `static int` | `ACTION_ADVANCE_TO_NEXT_NEXT`
    `static int` | `ACTION_RETURN`
    `int` | `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `nextAction(int idx)` Determine the action to take after calling exec()

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next

          public int next

    - #### ACTION_ADVANCE_TO_NEXT

          public static final int ACTION_ADVANCE_TO_NEXT

      See Also:
        Constant Field Values

    - #### ACTION_RETURN

          public static final int ACTION_RETURN

      See Also:
        Constant Field Values

    - #### ACTION_ADVANCE_TO_FOLLOWING

          public static final int ACTION_ADVANCE_TO_FOLLOWING

      See Also:
        Constant Field Values

    - #### ACTION_ADVANCE_TO_NEXT_NEXT

          public static final int ACTION_ADVANCE_TO_NEXT_NEXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Operation

          public Operation()

  - ### Method Detail

    - #### nextAction

          public int nextAction(int idx)

      Determine the action to take after calling exec()
      Parameters:
        `idx` - the value returned by exec()
      Returns:
        one of the values ACTION_RETURN, ACTION_ADVANCE_TO_NEXT, ...

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.